/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            aboutwindow.cc
 *
 *  Sun Aug 22 21:57:49 2004
 *  Copyright  2004  deva
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *    This file is part of MIaV.
 *
 *    MIaV is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MIaV is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MIaV; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include <config.h>
#ifdef USE_GUI
 
#include "aboutwindow.h"

#include <qpainter.h>
#include <qfont.h>

#include <config.h>

#define MARGIN 12
AboutWindow::AboutWindow( QWidget* parent, const char* name )
	: QDialog( parent, name )
{
	setModal(true);
	pix_about = new QPixmap();
	pix_about->load( PIXMAP_ABOUT );

	resize(pix_about->width(), pix_about->height());
  
  setBackgroundColor(QColor(200,200,200));
	
  btn_ok = new QPushButton(this);
	btn_ok->setText("OK");
  btn_ok->resize( 140, 50 );
	btn_ok->move(pix_about->width() - btn_ok->width() - MARGIN, pix_about->height() - btn_ok->height() - MARGIN);
  btn_ok->setFont( QFont( "Arial", 12, QFont::Bold ) );
  
  QObject::connect( btn_ok, SIGNAL(clicked()), this, SLOT(close()) );
  
	show();
}

AboutWindow::~AboutWindow()
{
}

void AboutWindow::mouseReleaseEvent(QMouseEvent *event)
{
  close();
}

void AboutWindow::paintEvent( QPaintEvent *event )
{
  int version_x = 58;
  int version_y = 90;

	if(!event) return; // Just to get rid og the compile warning!
	QPainter painter;
	painter.begin(this);

  // Draw background
	painter.drawPixmap(0,0, *pix_about);

  // Draw title and version
	painter.setBrush( SolidPattern );    
	painter.setFont( QFont( "Arial", 18, QFont::Bold ) );
	painter.setPen( Qt::black );
	painter.drawText(version_x, version_y, "MIAV-Grab v" VERSION);
	painter.setPen( Qt::red );
	painter.drawText(version_x + 2, version_y + 2, "MIAV-Grab v" VERSION);

	painter.end();
}

#endif /*USE_GUI*/
