/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            file.h
 *
 *  Thu Jun  9 15:31:38 CEST 2005
 *  Copyright  2005 Bent Bisballe
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of MIaV.
 *
 *  MIaV is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  MIaV is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with MIaV; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include "config.h"
#ifndef __MIAV_FILE_H__
#define __MIAV_FILE_H__

#include "info.h"
#include <stdio.h>

#include <vector>
#include <string>

#include <string.h>

// For savestate_n
#include "package.h"

class File {
public:
  File(char *filename, char* ext, Info* info);
  ~File();

  int Write(void* data, int size);
  /*
  int Write(char* data, int size);

  int Write(unsigned long long int val);
  int Write(long long int val);
  int Write(long int val);
  int Write(unsigned long int val);
  int Write(int val);
  int Write(unsigned int val);
  int Write(short int val);
  int Write(unsigned short int val);
  */

  void setSaveState(n_savestate savestate);

private:
  volatile n_savestate savestate;
  Info* info;

  std::vector<std::string> filelist;

  int Open();

  int Move(char *destination);

  int fd;

  int num;
  int seqnum;

  char* filename;
  char* extension;

  int createPath(char* path);
};

#endif/*__MIAV_FILE_H__*/
