/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            info_simple.cc
 *
 *  Tue Sep 20 17:00:25 CEST 2005
 *  Copyright  2005 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of MIaV.
 *
 *  MIaV is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  MIaV is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with MIaV; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include "config.h"
#include "info_simple.h"

#include <stdio.h>
#include <stdarg.h>

InfoSimple::InfoSimple(): Info()
{
}

InfoSimple::~InfoSimple()
{
  pthread_mutex_destroy(&mutex);
}

void InfoSimple::error(char *fmt, ...)
{
  char buf[1024];

  pthread_mutex_lock(&mutex);
  // Beginning of safezone

	va_list argp;
	va_start(argp, fmt);
	vsprintf(buf, fmt, argp);
	va_end(argp);

  // End of safezone
  pthread_mutex_unlock(&mutex);

  fprintf(stderr, "Error: %s\n", buf);
}

void InfoSimple::warn(char *fmt, ...)
{
  char buf[1024];

  pthread_mutex_lock(&mutex);
  // Beginning of safezone

	va_list argp;
	va_start(argp, fmt);
	vsprintf(buf, fmt, argp);
	va_end(argp);

  // End of safezone
  pthread_mutex_unlock(&mutex);

  fprintf(stderr, "Warning: %s\n", buf);
}

void InfoSimple::info(char *fmt, ...)
{
  char buf[1024];

  pthread_mutex_lock(&mutex);
  // Beginning of safezone

	va_list argp;
	va_start(argp, fmt);
	vsprintf(buf, fmt, argp);
	va_end(argp);

  // End of safezone
  pthread_mutex_unlock(&mutex);

  fprintf(stderr, "Info: %s\n", buf);
}
