/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            libmplex_wrapper.h
 *
 *  Sun Oct 30 12:28:47 CET 2005
 *  Copyright  2005 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of MIaV.
 *
 *  MIaV is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  MIaV is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with MIaV; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include "config.h"
#ifndef __MIAV_LIBMPLEX_WRAPPER_H__
#define __MIAV_LIBMPLEX_WRAPPER_H__

#ifdef WITH_LIBMPLEX

#include "info.h"
#include "file.h"
#include "threadsafe_queue_priority.h"

class LibMPlexWrapper {
public:
	LibMPlexWrapper(Info *info, 
                  File *outputfile,
                  ThreadSafeQueuePriority *video_queue,
                  ThreadSafeQueuePriority *audio_queue);
	~LibMPlexWrapper();

  void multiplex();

private:
  Info *info;
  File *outputfile;
  ThreadSafeQueuePriority *video_queue;
  ThreadSafeQueuePriority *audio_queue;
};
#endif/*WITH_LIBMPLEX*/

#endif/*__MIAV_LIBMPLEX_WRAPPER_H__*/
