/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            mov_encoder_writer.h
 *
 *  Sun May 22 12:51:35 CEST 2005
 *  Copyright  2005 Bent Bisballe
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *    This file is part of MIaV.
 *
 *    MIaV is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MIaV is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MIaV; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include "config.h"
#ifndef __MIAV_MOV_ENCODER_WRITER_H__
#define __MIAV_MOV_ENCODER_WRITER_H__

#include "frame.h"
#include "thread.h"
#include "file.h"
#include "multicast.h"
#include "info.h"

#include "threadsafe_queue_priority.h"

#include <string>
using namespace std;

// For n_savestate
#include "package.h"

#define AUDIO_FRAME(x) x->number%2==1
#define VIDEO_FRAME(x) x->number%2==0

class MovEncoderWriter : public Thread {
public:
  MovEncoderWriter(const char *clientip, const char* cpr,
                   ThreadSafeQueuePriority *video_queue,
                   ThreadSafeQueuePriority *audio_queue,
                   Info *info);
  ~MovEncoderWriter();

  void thread_main();

  void setSaveState(n_savestate savestate);
  
  volatile bool running;

private:
  Info *info;

  File *file;
  Multicast *multicast;

  ThreadSafeQueuePriority *video_queue;
  ThreadSafeQueuePriority *audio_queue;
};


#endif/*__MIAV_MOV_ENCODER_WRITER_H__*/
