/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            multicast_configuration.h
 *
 *  Wed Oct 12 10:12:11 CEST 2005
 *  Copyright  2005 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of MIaV.
 *
 *  MIaV is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  MIaV is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with MIaV; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include "config.h"
#ifndef __MIAV_MULTICAST_CONFIGURATION_H__
#define __MIAV_MULTICAST_CONFIGURATION_H__

#include "miav_config.h"

#include <vector>
#include <string>

typedef struct {
  std::string client;
  std::string addr;
  bool enabled;
  int port;
  bool with_audio;
} mcastconf_t;

class MulticastConfiguration : private MiavConfig {
public:
  MulticastConfiguration(Info *info, char *file);
  ~MulticastConfiguration();

  mcastconf_t &getConf(char *client);

private:
  std::vector<mcastconf_t> confs;
  mcastconf_t global_conf;
};

#endif/*__MIAV_MULTICAST_CONFIGURATION_H__*/
